extends Scene


func _on_shady_wooded_area_interacted() -> void:
	$kq4_009_shady_wooded_area.default_script(self)


func _on_graveyard_interacted() -> void:
	$kq4_016_graveyard.default_script(self)


func _on_green_meadow_interacted() -> void:
	$kq4_014_green_meadow.default_script(self)


func _on_bridge_over_stream_interacted() -> void:
	$kq4_021_bridge_over_stream.default_script(self)


func _on_shady_wooded_area_interacted_from_9() -> void:
	$kq4_009_shady_wooded_area.default_script(self)


func _on_lilypads_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("Many water lilies float upon this little pond.")
	).build(self, "_on_script_complete"))


func _on_pond_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("This is a very pretty little pond. Floating upon it are many beautiful water lilies.")
	).build(self, "_on_script_complete"))


func _on_flowers_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You see flowers here and there.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You stand beside a peaceful frog pond.")
	).build(self, "_on_script_complete"))
